<?php
// $Id: luceneapi_node.admin.inc,v 1.5 2009/02/18 00:17:25 cpliakas Exp $

/**
 * @file
 * Administrative settings callbacks for the Search Lucene Content module.
 */

/**
 * Administrative settings.
 *
 * @return
 *   An array of form elements.
 */
function luceneapi_node_admin_settings() {
  $form = array();

  // adds facet settings to admin form
  luceneapi_common_settings('luceneapi_node', $form);

  // name of the search tab
  $form['search']['luceneapi_node_search_name'] = array(
    '#type' => 'textfield',
    '#title' => t('Search name'),
    '#default_value' => luceneapi_node_get_search_name(),
    '#maxlength' => 64,
    '#description' => t(
      'Return value of <code>hook_search(&#039;name&#039;)</code>'
    ),
  );

  // strip core search from view
  $form['search']['luceneapi_node_hide_core_search'] = array(
    '#type' => 'radios',
    '#title' => t('Hide core search'),
    '#default_value' => luceneapi_node_get_hide_core_search(),
    '#options' => array(
      1 => t('Yes'),
      0 => t('No'),
    ),
    '#description' => t(
      'Hides the core search, redirects core searches to this one.'
    ),
  );

  // redirection
  $form['search']['luceneapi_node_redirect_code'] = array(
    '#type' => 'select',
    '#title' => t('Redirection status code'),
    '#default_value' => luceneapi_node_get_redirect_code(),
    '#options' => array(
      301 => '301 - Moved permanently',
      302 => '302 - Found',
      307 => '307 - Temporary Redirect',
    ),
    '#description' => t(
      'Status code used to redirect core search queries to this one if core searches are hidden.'
    ),
  );

  return system_settings_form($form);
}
