<?php
// $Id: luceneapi_node.help.inc,v 1.2 2009/02/18 02:28:55 cpliakas Exp $

/**
 * @file
 * Functions that return larger blocks of help text.
 */

/**
 * Returns help for the Search Lucene API module.
 *
 * @return
 *   A string containing the translated help text.
 */
function _luceneapi_node_help_module() {
  return t('
    <p>
    Search Lucene Content implements the Search Lucene API to maintain a Lucene
    index of the site\'s node content.  The goal of this module is to provide a
    more advanced, configurable, and efficient search engine than the core
    Drupal search.  This module utilizes the common administrative settings
    defined by the '. l('Search Lucene API', 'admin/help/luceneapi') .' module.
    </p>

    <h4>Search Lucene Content Settings</h4>
    <p>The <i>search page settings</i> configure the search results page.</p>
    <ul>
      <li><b>Search name</b> sets the name of the menu local task for this
      search. This setting is returned when <code>hook_search(\'name\')</code>
      is invoked and is the value displayed in this module\'s search tab.</li>
      <li><b>Hide core search</b> removes the core search tab from being
      displayed and redirects core search queries to this one. Since Drupal 5
      does not define hook_menu_alter() like Drupal 6, this is accomplished
      internally by modifying the $_menu variable in hook_form_alter().  If you
      are uncomfortable with this hack but still want to hide the core search,
      you should disable this setting and hide the tab in the theme.</li>
      <li><b>Redirection status code</b> is the code used to redirect core
      search queries to this one if the hide core search setting is enabled.
      </li>
    </ul>
  ');
}
